From af1af961687524b0fb664c41d6be2b09b7494f63 Mon Sep 17 00:00:00 2001
From: Juan Jose Santamaria Flecha <juanjo.santamaria@gmail.com>
Date: Tue, 15 Nov 2022 11:07:23 -0500
Subject: [PATCH] meson add host_system to PG_VERSION_STR

---
 meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index 259240f..e569b7a 100644
--- a/meson.build
+++ b/meson.build
@@ -143,8 +143,8 @@ cdata.set_quoted('PACKAGE_TARNAME', 'postgresql')
 
 pg_version += get_option('extra_version')
 cdata.set_quoted('PG_VERSION', pg_version)
-cdata.set_quoted('PG_VERSION_STR', 'PostgreSQL @0@ on @1@, compiled by @2@-@3@'.format(
-  pg_version, build_machine.cpu_family(), cc.get_id(), cc.version()))
+cdata.set_quoted('PG_VERSION_STR', 'PostgreSQL @0@ on @1@-@2@, compiled by @3@-@4@'.format(
+  pg_version, build_machine.cpu_family(), host_system, cc.get_id(), cc.version()))
 cdata.set_quoted('PG_MAJORVERSION', pg_version_major.to_string())
 cdata.set('PG_MAJORVERSION_NUM', pg_version_major)
 cdata.set('PG_MINORVERSION_NUM', pg_version_minor)
-- 
2.11.0

